palemoon-atom 26.4 crash on antix 16

Forum Forums Official Releases antiX-16 “Berta Cáceres” palemoon-atom 26.4 crash on antix 16

This topic contains 3 replies, has 2 voices, and was last updated by roytobin Feb 6-6:37 pm.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #6176
    Member

    roytobin

    Hi, I get sigsegv:

    antix16:~ % palemoon-atom
    Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property GtkRange::activate-slider' of typegboolean’ from rc file value “((GString*) 0x6a0855b0)” of type `GString’
    Segmentation fault
    antix16:~/tmp % uname -a
    Linux antix16 4.4.10-antix.1-486-smp #1 SMP Thu Feb 23 19:55:09 EET 2017 i686 GNU/Linux
    antix16:~/tmp % palemoon-atom –version
    Moonchild Productions Pale Moon 26.4.0

    I had just installed palemoon-atom via synaptic. I did this because qupzilla 1.8.9 doesn’t work on some sites (eg. tunein).
    The desktop machine has atom processor, does have SSE2 flags. Of note, only has 1 GB. Limps along, thanks to antix.

    Please let me know how I can help to debug the situation.

    Roy

    #6184
    Forum Admin
    rokytnji
    rokytnji

    I would uninstall the atom palemoon you installed in synaptic with completely remove option on right click.

    Then install palemoon supplied by the MX team in your antix control center > meta package installer. It is not to be confused with sysnaptic and looks nothing like it.
    O

    Beer, Bikes, and BBQ. It's what we do. Master of none.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #6187
    Forum Admin
    rokytnji
    rokytnji

    Or. You might want to uninstall flashplayer in synaptic instead and see if the seg fault goes away instead. Leaving the atom install alone.

    Or. Since a GTK error. Maybe try a different grk theme in the antix control center. Just poke and hope guessing here.

    Beer, Bikes, and BBQ. It's what we do. Master of none.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #6249
    Member

    roytobin

    Thanks for ideas. I still get the same problem on my antiX 16.2 system
    after doing suggestion #1 (uninstall palemoon completely via synaptic,
    try the palemoon install via meta package installer).

    I didn’t try option #2 (uninstall flashplayer). Just don’t want
    to enter a swamp. Didn’t try #3…message talks about “rc file.”
    My grk theme is out-of-the-box.

    The reason I was trying palemoon was I have some trouble with qupzilla
    on some sites re: rendering. FYI, firefox doesn’t work at all, but I
    attribute this to having only 1 GB mem & no swap.

    I’m fully up-to-date with all packages except I have 4 packages “pinned”
    to support Mepis’s audio recorder: libpulse0 lbpulsedsp pulseaudio
    pluseaudio-utils.

    For now, I’ll keep using qupzilla until too many websites are unhappy
    with it. So, just log this post as a guy that had trouble with palemoon
    on 16.2.

    Thanks.

    Roy

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.